import { customElement } from 'lit/decorators.js'

import { AbstractPasswordReset } from '../../components/abstract-password-reset'

@customElement('reset-password')
export class ResetPassword extends AbstractPasswordReset {
  get pageName() {
    return 'reset password'
  }

  get actionUrl() {
    return '/auth/reset-password'
  }

  get submitButtonLabel() {
    return 'label.change password'
  }

  get title() {
    return 'reset password'
  }
}
